## org.eclipse.datatools.modelbase.sql.query.impl
Class TableExpressionImpl

    java.lang.Object
      ENamedElementImpl
          org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
              org.eclipse.datatools.modelbase.sql.query.impl.SQLQueryObjectImpl
                  org.eclipse.datatools.modelbase.sql.query.impl.TableReferenceImpl
                      org.eclipse.datatools.modelbase.sql.query.impl.TableExpressionImpl

All Implemented Interfaces:
  SQLObject, SQLQueryObject, TableExpression, TableReference

Direct Known Subclasses:
  QueryExpressionBodyImpl, TableFunctionImpl, TableInDatabaseImpl, WithTableReferenceImpl

public abstract class TableExpressionImpl
extends TableReferenceImpl
implements TableExpression

An implementation of the model object 'SQL Table Expression'.

The following features are implemented:

- `Column List`
- `Table Correlation`
- `Result Table All Columns`
- `Value Expr Columns`

See Also:
  Serialized Form

Method Summary
`NotificationChain` `basicSetTableCorrelation(TableCorrelation newTableCorrelation, NotificationChain msgs)`
`NotificationChain` `eBasicRemoveFromContainer(NotificationChain msgs)`
`java.lang.Object` `eGet(EStructuralFeature eFeature, boolean resolve)`
`NotificationChain` `eInverseAdd(InternalEObject otherEnd, int featureID, java.lang.Class baseClass, NotificationChain msgs)`
`NotificationChain` `eInverseRemove(InternalEObject otherEnd, int featureID, java.lang.Class baseClass, NotificationChain msgs)`
`boolean` `eIsSet(EStructuralFeature eFeature)`
`void` `eSet(EStructuralFeature eFeature, java.lang.Object newValue)`
`void` `eUnset(EStructuralFeature eFeature)`
`EList` `getColumnList()`
`EList` `getResultTableAllColumns()`
`TableCorrelation` `getTableCorrelation()`
`EList` `getValueExprColumns()`
`void` `setTableCorrelation(TableCorrelation newTableCorrelation)`

Methods inherited from class org.eclipse.datatools.modelbase.sql.query.impl.TableReferenceImpl
`getNest, getQuerySelect, getTableJoinedLeft, getTableJoinedRight, setNest, setQuerySelect, setTableJoinedLeft, setTableJoinedRight`

Methods inherited from class org.eclipse.datatools.modelbase.sql.query.impl.SQLQueryObjectImpl
`getSourceInfo, getSQL, setSourceInfo, setSQL`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl

`addEAnnotation, addEAnnotationDetail, createDataObject, createDataObject, createDataObject, createDataObject, createDataObject, delete, eGet, eInverseAdd, eInverseRemove, eIsSet, eSet, eUnset, get, get, getBigDecimal, getBigDecimal, getBigInteger, getBigInteger, getBoolean, getBoolean, getByte, getByte, getBytes, getBytes, getChar, getChar, getComments, getContainer, getContainmentProperty, getDataGraph, getDataObject, getDataObject, getDate, getDate, getDependencies, getDescription, getDouble, getDouble, getEAnnotation, getEAnnotationDetail, getFloat, getFloat, getInstanceProperties, getInt, getInt, getLabel, getList, getList, getLong, getLong, getSequence, getSequence, getShort, getShort, getString, getString, getType, isSet, isSet, removeEAnnotationDetail, set, set, setAnnotationDetail, setBigDecimal, setBigDecimal, setBigInteger, setBigInteger, setBoolean, setBoolean, setByte, setByte, setBytes, setBytes, setChar, setChar, setDataObject, setDataObject, setDate, setDate, setDescription, setDouble, setDouble, setFloat, setFloat, setInt, setInt, setLabel, setList, setList, setLong, setLong, setShort, setShort, setString, setString, toString, unset, unset, writeReplace`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.TableReference
`getNest, getQuerySelect, getTableJoinedLeft, getTableJoinedRight, setNest, setQuerySelect, setTableJoinedLeft, setTableJoinedRight`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.SQLQueryObject
`getSourceInfo, getSQL, setSourceInfo, setSQL`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Method Detail

### getColumnList

    public EList getColumnList()

  Specified by:
    `getColumnList` in interface `TableExpression`
  Returns:
    the value of the 'Column List' containment reference list.
  See Also:
    `SQLQueryModelPackage.getTableExpression_ColumnList()`, `ValueExpressionColumn.getParentTableExpr()`

### getTableCorrelation

    public TableCorrelation getTableCorrelation()

  Specified by:
    `getTableCorrelation` in interface `TableExpression`
  Returns:
    the value of the 'Table Correlation' containment reference.
  See Also:
    `TableExpression.setTableCorrelation(TableCorrelation)`, `SQLQueryModelPackage.getTableExpression_TableCorrelation()`, `TableCorrelation.getTableExpr()`

### basicSetTableCorrelation

    public NotificationChain basicSetTableCorrelation(TableCorrelation newTableCorrelation,
                                                      NotificationChain msgs)

### setTableCorrelation

    public void setTableCorrelation(TableCorrelation newTableCorrelation)

  Specified by:
    `setTableCorrelation` in interface `TableExpression`
  Parameters:
    `newTableCorrelation` - the new value of the 'Table Correlation' containment reference.
  See Also:
    `TableExpression.getTableCorrelation()`

### getResultTableAllColumns

    public EList getResultTableAllColumns()

  Specified by:
    `getResultTableAllColumns` in interface `TableExpression`
  Returns:
    the value of the 'Result Table All Columns' reference list.
  See Also:
    `SQLQueryModelPackage.getTableExpression_ResultTableAllColumns()`, `ResultTableAllColumns.getTableExpr()`

### getValueExprColumns

    public EList getValueExprColumns()

  Specified by:
    `getValueExprColumns` in interface `TableExpression`
  Returns:
    the value of the 'Value Expr Columns' reference list.
  See Also:
    `SQLQueryModelPackage.getTableExpression_ValueExprColumns()`, `ValueExpressionColumn.getTableExpr()`

### eInverseAdd

    public NotificationChain eInverseAdd(InternalEObject otherEnd,
                                         int featureID,
                                         java.lang.Class baseClass,
                                         NotificationChain msgs)

  Overrides:
    `eInverseAdd` in class `TableReferenceImpl`

### eInverseRemove

    public NotificationChain eInverseRemove(InternalEObject otherEnd,
                                            int featureID,
                                            java.lang.Class baseClass,
                                            NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `TableReferenceImpl`

### eBasicRemoveFromContainer

    public NotificationChain eBasicRemoveFromContainer(NotificationChain msgs)

  Overrides:
    `eBasicRemoveFromContainer` in class `TableReferenceImpl`

### eGet

    public java.lang.Object eGet(EStructuralFeature eFeature,
                                 boolean resolve)

  Overrides:
    `eGet` in class `TableReferenceImpl`

### eSet

    public void eSet(EStructuralFeature eFeature,
                     java.lang.Object newValue)

  Overrides:
    `eSet` in class `TableReferenceImpl`

### eUnset

    public void eUnset(EStructuralFeature eFeature)

  Overrides:
    `eUnset` in class `TableReferenceImpl`

### eIsSet

    public boolean eIsSet(EStructuralFeature eFeature)

  Overrides:
    `eIsSet` in class `TableReferenceImpl`

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.